E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

G::SignalSafe Class Reference

An empty structure that is used to indicate a signal-safe, reentrant implementation. More...

`#include <gsignalsafe.h>`

## Detailed Description

An empty structure that is used to indicate a signal-safe, reentrant implementation.

Any function with SignalSafe in its signature should be kept small and simple, with no exceptions, no logging and no blocking system calls.

Definition at line 36 of file gsignalsafe.h.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gsignalsafe.h